Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » JDK configuration
JDK configuration [message #180023] Tue, 14 November 2006 11:30 Go to next message
Eclipse User
Originally posted by: rdegrand.jeffco.us

Is there a way to configure which jdk is used to execute eclipse. I have
other products on my machine that have configured and loaded jdk1.3. If I
add jdk1.4 in the path earlier it breaks these other tools.

thx
Re: JDK configuration [message #180031 is a reply to message #180023] Tue, 14 November 2006 12:12 Go to previous messageGo to next message
Jim is currently offline Jim
Messages: 54
Registered: July 2009
Member
yes. go to project properties, under Java Compiler, you can specify the JDK
compliance

"Rick" <rdegrand@jeffco.us> wrote in message
news:4fadc5483e42b20714d126c08a990b8c$1@www.eclipse.org...
> Is there a way to configure which jdk is used to execute eclipse. I have
> other products on my machine that have configured and loaded jdk1.3. If I
> add jdk1.4 in the path earlier it breaks these other tools.
>
> thx
>
Re: JDK configuration [message #180056 is a reply to message #180031] Tue, 14 November 2006 12:33 Go to previous messageGo to next message
Eclipse User
Originally posted by: rdegrand.jeffco.us

But isn't that for the project and not for eclipse itself ? Eclipse finds
the first jdk on the path to load itself. Isn't there an .ini file that I
could update with the jdk I want to use to execute eclipse ??
Re: JDK configuration [message #180070 is a reply to message #180056] Tue, 14 November 2006 12:50 Go to previous messageGo to next message
Ray Hurst is currently offline Ray Hurst
Messages: 28
Registered: July 2009
Junior Member
Rick,
The deafult Eclipse JRE is selected by:

Window->Preferences->Installed JREs
Ray

"Rick" <rdegrand@jeffco.us> wrote in message
news:eadaa293016528f19c8e9218ec4bb90a$1@www.eclipse.org...
> But isn't that for the project and not for eclipse itself ? Eclipse finds
> the first jdk on the path to load itself. Isn't there an .ini file that I
> could update with the jdk I want to use to execute eclipse ??
>
Re: JDK configuration [message #180084 is a reply to message #180070] Tue, 14 November 2006 13:03 Go to previous messageGo to next message
Eclipse User
Originally posted by: rdegrand.jeffco.us

for anyone interested, the way I got this to work is...

eclipse -vm c:jdk1.4.2jrebinjavaw.exe
Re: JDK configuration [message #180202 is a reply to message #180023] Tue, 14 November 2006 18:13 Go to previous message
Eclipse User
Originally posted by: eclipse4.rizzoweb.com

Rick wrote:
> Is there a way to configure which jdk is used to execute eclipse. I
> have other products on my machine that have configured and loaded
> jdk1.3. If I add jdk1.4 in the path earlier it breaks these other tools.

This is a pretty common question - please search the message archives
before posting new questions.
Specifically, see this message I recently posted:

Date: Mon, 30 Oct 2006
Subject: Re: JVM undetected
From: Eric Rizzo <eclipse4@rizzoweb.com>
Newsgroups: eclipse.newcomer


The gist of it is that you should specify a -vm argument, either on the
eclipse.exe command line on in eclipse.ini

Hope this helps,
Eric
Previous Topic:Split Screen
Next Topic:setting the webserver in eclipse on a remote machine
Goto Forum:
  


Current Time: Sat Apr 19 16:09:27 EDT 2014

Powered by FUDForum. Page generated in 0.01628 seconds